Subject: bug#60635: closed (Re: bug#60635: Update emacs-compat and magit)

From: [email-masked] (GNU bug Tracking System)
Date: Sun, 08 Jan 2023 11:27:02 +0000

Your bug report

#60635: emacs-consult will run error when update guix.git

which was filed against the guix package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
60635: https://debbugs.gnu.org/cgi/bugreport.cgi?bug=60635
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#60635: Update emacs-compat and magit
From: Nicolas Goaziou <[email-masked]>
To: Feng Shu <[email-masked]>
Cc: [email-masked]
Date: Sun, 08 Jan 2023 12:26:08 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

Feng Shu <[email-masked]> writes:

> I think it is compat's problem, when I update compat to 29.1.1.0, the problem is
> disapear
>
> when I update compat, magit build fail, so update it too.

OK. I applied the patches. Thank you.

>  (define-public emacs-magit
> -  (let ((commit "36059e0b881cb1465cb5ad0099e55e00845a8222")
> +  (let ((commit "b908c79b44f5c282eec44f19fc1d9967f041dd5c")
>          (revision "0"))

NB: I also bumped revision.

Regards,
-- 
Nicolas Goaziou

Subject: emacs-consult will run error when update guix.git
From: Feng Shu <[email-masked]>
To: "guix-bug" <[email-masked]>
Date: Sun, 08 Jan 2023 06:50:11 +0800
List-Id: <debbugs-submit.debbugs.gnu.org>

emacs -q and (require 'consult) will show:
Error running timer ‘show-paren-function’: (wrong-type-argument listp special-mode) [8 times]

--